Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class FracBusyAgentsWithTypesCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
          umontreal.iro.lecuyer.contactcenters.msk.conditions.FracBusyAgentsCondition
              umontreal.iro.lecuyer.contactcenters.msk.conditions.FracBusyAgentsWithTypesCondition

All Implemented Interfaces:
  Condition

    public class FracBusyAgentsWithTypesCondition

extends FracBusyAgentsCondition

Represents a condition comparing the fraction of busy agents in two groups, possibly restricted to specific call types. This is similar to `FracBusyAgentsCondition`, except that the number of busy agents serving a contact of a given type can be used rather than the total number of busy agents. More specifically, the fraction of busy agents for group i1 is determined using the number of busy agents serving calls of type k1. If k1 < 0, the total number of busy agents is used instead. A similar logic is used to get the fraction of busy agents in group i2.

Constructor Summary
`FracBusyAgentsWithTypesCondition(CallCenter cc, int i1, int i2, int k1, int k2, Relationship rel)` Constructs a new condition on the fraction of busy agents for call center `cc`, agent groups `i1` and `i2`, call types `k1` and `k2`, and using relationship `rel` for comparison.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`int` | `getFirstType()` Returns the call type index for the first compared agent group.
`int` | `getSecondType()` Returns the call type index for the second compared agent group.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.FracBusyAgentsCondition
`getCallCenter`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
`getFirstIndex, getRelationship, getSecondIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FracBusyAgentsWithTypesCondition

    public FracBusyAgentsWithTypesCondition(CallCenter cc,
                                            int i1,
                                            int i2,
                                            int k1,
                                            int k2,
                                            Relationship rel)

  Constructs a new condition on the fraction of busy agents for call center `cc`, agent groups `i1` and `i2`, call types `k1` and `k2`, and using relationship `rel` for comparison.

  Parameters:
    `cc` - the call center model.
    `i1` - the index of the first agent group.
    `i2` - the index of the second agent group.
    `k1` - the index of the first call type.
    `k2` - the index of the second call type.
    `rel` - the relationship used for comparison.

Method Detail

### getFirstType

    public int getFirstType()

  Returns the call type index for the first compared agent group.

### getSecondType

    public int getSecondType()

  Returns the call type index for the second compared agent group.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Overrides:
    `applies` in class `FracBusyAgentsCondition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.